mobilebackup_client_free
mobilebackup_client_new
mobilebackup_client_start_service
mobilebackup_client_t
mobilebackup_error_t
mobilebackup_flags_t
mobilebackup_receive
mobilebackup_receive_restore_application_received
mobilebackup_receive_restore_file_received
mobilebackup_request_backup
mobilebackup_request_restore
mobilebackup_send
mobilebackup_send_backup_file_received
mobilebackup_send_error
mobilebackup_send_restore_complete
MOBILEBACKUP_SERVICE_NAME

## mobilebackup_client_free()

LIBIMOBILEDEVICE_API mobilebackup_error_t mobilebackup_client_free | ( | mobilebackup_client_t | client | ) |

Disconnects a mobilebackup client from the device and frees up the mobilebackup client data.

Parameters

  client | The mobilebackup client to disconnect and free.

Returns
  MOBILEBACKUP_E_SUCCESS on success, or MOBILEBACKUP_E_INVALID_ARG if client is NULL.